Subject: Symbolic Logic and Lojban

From: [email-masked]
Date: Fri, 31 Aug 2001 23:02:16 -0000

I've actually sent this message to another group- that's why some of 
it might sound weird. I don't want to offend anyone, but I'm 
interested in your opinions on this analysis of Bertrand Russell, 
whose philosophy is the structural model of lojban.

I've been studying symbolic and semantic logic, and
have been trying to incorporate their principles into
an IAL (international auxiliary language) which I am
creating.

lojban is a language based on mathematical logic,
something that I have previously, and always will,
swear by.

Anyway my experience with lojban has not been very
uplifting and I think I can blame this on the
linguistic ideas of Bertrand Russel.

Obviously Bertrand Russel is GOD of logic, but I think
his application of logic to linguistics was severely
faulty.
Essentially he designated all sentences in the form
F(x,y,...) where the F function is the verb and the
arguments act as each segment acting as a noun,
adjective, or adverb. For example, the sentence "I
went to school at three o'clock today" would be
symbolized as 'went(I,school,3:00,today) where the
place value system would denote how each argument
would act in the sentence.

Now this system can effectively translate any sentence
in any language, so Bertrand, I applaud that. Now
let's see what happens when we want to CHANGE a
sentence while preserving the function. For example,
instead of "I went to school today" you want to say "I
went to school in Chicago today". These would be
represented by:

'went(I,school,today)' and
'went(I,school,Chicago,today)'

Now the addition of Chicago creates a fourth place
value denoting location instead of time, and the only
way this can happen is if the FUNCTION changed. So
essentially if you want to use a Russelian
logic-language, you would have to create your verbs
(or functions) to account for all possible arguments,
otherwise there must be an influx of modified verb
forms to adjust for necessary arguments, or, more
likely, language use will be constricted and never
creative, and usage will collapse.

lojban, to get around this problem, used complicated
functions have up to five place values, some making
little sense. For example, "lanci" is lojban for flag.
If you want to say "that is a flag" you say "za
lanci". Now, there are four place values, so you can
say anything (the arguments are capitalized) on the
lines of "THAT is a flag symbolizing AMERICA with
pattern of STARS AND STRIPES on material of COTTON".
However, if you want to say "That is a flag hanging on
a flagpole" or "next to my house", then you have
serious problems, and lojban attempts to resolve them
with essentially new functions and new arguments, and
meanwhile all the arguments you DON'T want to fill in
must be replaced by "zo'e", so essentially "za lanci
zo'e zo'e zo'e mopni" which means "That flag is made
of cotton"

The following I am adding in to my previous post: This is a 
completely linear interpretation of linguistics. It allows for 
complete transcription of any sentence at any moment into root 
functions, but it fails to realize the amount of language that is 
creative. Language is about building and demolishing and shaping; by 
mathematical survey chances are that over half the sentences we speak 
each day have NEVER been spoken by ANYONE in human history.

IMHO, lojban hits high on every note except its key, its foundation, 
if you will, and this I feel is fatal.

Bertrand Russel was an excellent mathematician,
philosopher, and logician, but his attempt at linking
the worlds of symbolic logic to natural linguistics
failed miserably.

-Samuel Rivier

P.S. Thank you for listening- again, the original message wasn't 
intended for lojbanists so I apologize if it hits below the belt